\documentclass{article}
\usepackage[utf8]{inputenc}
\usepackage{amsmath, amsthm, amssymb}
\usepackage{graphicx}

\begin{document}
Text before the figure.
\begin{figure}
  \centering
  \includegraphics[scale=0.5]{plotsin.pdf}
  \caption{The first plot illustrates a sine function.}
\end{figure}

Next text.
\begin{figure}[hb]
  \centering
  \includegraphics[width=2in]{plotcos.pdf}
  \caption{The second plot is cosine.}
\end{figure}
Text after the figure.
\end{document}     
